Skip to main content
GET
/
api
/
commerce
/
merchant
/
orders
List merchant scoped orders
curl --request GET \
  --url https://api-beta.pepay.io/api/commerce/merchant/orders \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "orders": [
      {
        "orderId": "550e8400-e29b-41d4-a716-446655440111",
        "invoiceId": "550e8400-e29b-41d4-a716-446655440000",
        "networkEnvironment": "devnet",
        "status": "processing",
        "substatus": null,
        "actions": {
          "canCancel": false
        },
        "shipmentsSummary": {
          "shipmentCount": 0,
          "hasTracking": false,
          "lastTrackingAt": null,
          "isDelivered": false
        },
        "retailer": "amazon",
        "walletAddress": "0x0000000000000000000000000000000000000001",
        "walletNetwork": "bsc",
        "customerId": "cust_123456",
        "total": 99.99,
        "createdAt": 1766320496,
        "updatedAt": 1766320496,
        "itemCount": 1
      }
    ],
    "pagination": {
      "limit": 20,
      "offset": 0,
      "count": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs-alpha.pepay.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token for wallet authentication

Query Parameters

wallet
string

Optional wallet address filter

walletNetwork
string

Wallet network (required if wallet provided)

customer_id
string

Optional merchant customer identifier filter

status
enum<string>
Available options:
pending_payment,
processing,
placed,
shipped,
delivered,
cancelled,
failed
retailer
string
createdFrom
integer
createdTo
integer
limit
integer
default:20
offset
integer
default:0

Response

Orders for the merchant

success
boolean
Example:

true

data
object